# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Lingua/StopWords.pm) perl(Log/Log4perl.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Text/ExtractWords.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Text-Language-Guess
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Trained module to guess a document's language
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MS/MSCHILLI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Text::Language::Guess guesses a document's language. Its implementation
is simple: Using `Text::ExtractWords' and `Lingua::StopWords' from 
CPAN, it determines how many of the known stopwords the document 
contains for each language supported by `Lingua::StopWords'.

Each word in the document recognized as stopword
of a particular language scores one point for this language.

The `language_guess()' function takes a document as a parameter
and returns the abbreviation of the language that it is most likely
written in.

Supported Languages:

=over 4

=item *

English (en)

=item *

French (fr)

=item *

Spanish (es)

=item *

Portugese (pt)

=item *

Italian (it)

=item *

German (de)

=item *

Dutch (nl)

=item *

Swedish (sv)

=item *

Norwegian (no)

=item *

Danish (da) 

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

